Bug 14380 - cpu time for multithreaded application
cpu time for multithreaded application
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2000-07-21 11:56 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Test case for times() not receiving info from other threads (557 bytes, text/plain)
2003-04-21 20:30 EDT, Ulrich Drepper
no flags Details

  None (edit)
Description Need Real Name 2000-07-21 11:56:13 EDT
The POSIX times() function only measures the system time of the master thread and does not take into account any time for the child threads.
Comment 1 Ulrich Drepper 2003-04-21 20:22:56 EDT
This is a kernel issue, still present in the 2.5 kernels.
Comment 2 Ulrich Drepper 2003-04-21 20:30:56 EDT
Created attachment 91222 [details]
Test case for times() not receiving info from other threads

The program prints currently something like

1050971188: clock 430949932, utime 0, stime 0
1050971189: clock 430950032, utime 0, stime 0

But the utime value should increase based on how much CPU time the two threads
Comment 3 Bugzilla owner 2004-09-30 11:38:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.